@echo off
set ALT=ein
set NEU=aus
set ERR=0

echo.
echo Umschaltung der HV-Vorsignalanzeige (2D-Map / Anzeige F3/F4)
echo ------------------------------------------------------------
echo (Version 4)
echo.
echo Bei allen Vorsignalen soll die Anzeige jetzt %NEU%geschaltet werden?
echo.
echo Abbruch mit Strg + c
echo.
pause

set FILE_LIST=(DEs_HV_VS_0T DEs_HV_VS_rd_0T DEs_HV_VS_SB_0T DEs_HV_VS_SB_rd_0T DEs_HV_VS_SB_Wh_0T DEs_HV_VS_Wh_0T DEs_HV_VS3_0T DEs_HV_VS3_rd_0T DEs_HV_VS3_SB_0T DEs_HV_VS3_SB_rd_0T DEs_HV_VS3_SB_Wh_0T DEs_HV_VS3_Wh_0T DEs_HV_VS3Fo_0T DEs_HV_VS3Fo_rd_0T DEs_HV_VS3Fo_SB_0T DEs_HV_VS3Fo_SB_rd_0T DEs_HV_VS3Fo_SB_Wh_0T DEs_HV_VS3Fo_Wh_0T DEs_HV_VS_0T_oNr DEs_HV_VS_rd_0T_oNr DEs_HV_VS_SB_0T_oNr DEs_HV_VS_SB_rd_0T_oNr DEs_HV_VS_SB_Wh_0T_oNr DEs_HV_VS_Wh_0T_oNr DEs_HV_VS3_0T_oNr DEs_HV_VS3_rd_0T_oNr DEs_HV_VS3_SB_0T_oNr DEs_HV_VS3_SB_rd_0T_oNr DEs_HV_VS3_SB_Wh_0T_oNr DEs_HV_VS3_Wh_0T_oNr DEs_HV_VS3Fo_0T_oNr DEs_HV_VS3Fo_rd_0T_oNr DEs_HV_VS3Fo_SB_0T_oNr DEs_HV_VS3Fo_SB_rd_0T_oNr DEs_HV_VS3Fo_SB_Wh_0T_oNr DEs_HV_VS3Fo_Wh_0T_oNr)
 
echo.

for %%i in %FILE_LIST% do (
    if not exist %%i.bin-Stopping_%ALT% (
       if exist %%i.bin rename %%i.bin %%i.bin-Stopping_%ALT%
    ) else (
      if exist %%i.bin-Stopping_%NEU% (
         del %%i.bin
         rename %%i.bin-Stopping_%NEU% %%i.bin
         echo OK: %%i.bin-Stopping_%NEU%
      ) else (
         echo Anzeige ist bereits %NEU% bei: %%i
         set ERR=1
	  )
    )
)

for %%i in %FILE_LIST% do (
   if not exist %%i.bin (
      if exist %%i.bin-Stopping_%NEU% (
         rename %%i.bin-Stopping_%NEU% %%i.bin
         echo OK: %%i.bin-Stopping_%NEU%
      ) else (
         echo Datei fehlt: %%i.bin-Stopping_%NEU%
         set ERR=1
      )
   )
)


echo.
if %ERR%==0 (
   echo Bei allen Vorsignalen ist die Anzeige jetzt %NEU%geschaltet
) else (
   echo Es traten Fehler beim %NEU%schalten auf, bitte pruefen!
)
echo.
pause
